Subject: Re: [PATCH 4/6] vlan: Optimize multiple unregistration

From: Eric Dumazet <[email-masked]>
Date: Fri, 30 Oct 2009 07:30:43 +0100

Patrick McHardy a écrit :
> Eric Dumazet wrote:
>> Patrick McHardy a écrit :
>>
>>> Indeed, but unregister_vlan_dev() destroys the group once the
>>> count has reached zero, so we must not access it after that.
>> Well, I hoped call_rcu() callback doesnt fire and kfree(grp) until we exited
>> from unregister_vlan_dev_alls(), with RTNL locked...
> 
> The RTNL is a mutex, so it shouldn't prevent call_rcu from firing.

Oops this is totally right of course, so your patch is actually a bug fix :)

Acked-by: Eric Dumazet <[email-masked]>